Bug 32524 - Installer should prompt user before it replaces existing files
Installer should prompt user before it replaces existing files
Status: VERIFIED FIXED
Product: installer
Classification: Unclassified
Component: Code
3.x
PC All
: P1 (vote)
: 3.x
Assigned To: Richard Gregor
issues@installer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-01 08:35 UTC by Richard Gregor
Modified: 2003-04-07 20:04 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Diff of changes against trunk (1.06 KB, patch)
2003-04-01 08:56 UTC, Richard Gregor
Details | Diff
snapshot with correct message (31.35 KB, image/jpeg)
2003-04-05 15:39 UTC, Richard Gregor
Details
promissed snapshot with bad question (5.72 KB, image/png)
2003-04-07 17:59 UTC, dmladek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Gregor 2003-04-01 08:35:48 UTC
Installer should prompt user before it replaces
existing files. Create appropriate dialogs.
Comment 1 Richard Gregor 2003-04-01 08:56:51 UTC
Created attachment 9619 [details]
Diff of changes against trunk
Comment 2 Richard Gregor 2003-04-01 09:01:56 UTC
Fixed in main trunk. Replace option is set to 5 - always ask .
Minor change is that there is changed name of component to NetBeans
IDE +version.

Checking in NB.xml;
/cvs/installer/NB.xml,v  <--  NB.xml
new revision: 1.22; previous revision: 1.21
done
Comment 3 Tomas Pavek 2003-04-01 12:46:28 UTC
Diff reviewed, quite simple.
Comment 4 _ ttran 2003-04-02 11:54:17 UTC
approved for 3.5 by release coordinator
Comment 5 Richard Gregor 2003-04-04 15:05:29 UTC
merged in release35
Comment 6 dmladek 2003-04-04 16:10:33 UTC
Sorry for the late response :-(

If you select non empty dir, then pass to two next pages then
the Warning diaolg appear. But IMHO the question in it seems to me
pretty "funny":
"Component 1 exists on the system ....."
all message see at the attached snapshot.

That doesn't sound too much UI.


And what is the logic of the recognizing the dir is empty or not?
I've tried it with the NetBeansIDE-dev-200304040100-linux.bin
and choosed install dirs of previous releases NB341 and Orion

In the case of NB341 it ask for overwritting
and don't install into selected dir except of _uninst2 dir :-/

In the case of forte4j (orion)
it completly install everything to that dir and asks just for
replacint timerbeans.jar

In the case you select any other nonempty dir containing eg just one
file. Then it is installed into that dir.

If it is right behaviour then I might verify this bug but till
that we agree on it I'm reopening it at least for unclear question...

Comment 7 Richard Gregor 2003-04-05 15:37:23 UTC
Dan,

>all message see at the attached snapshot.

I can't see attached snapshot. Installer works with default
InstallShield's proprietary bean for checking installdir. That means -
messages are standard messages and I'm not able to set another except
I create fully new bean as replacement.
I don't think messages are difficult for understanding. If you install
previously installed version then there are two messages' types. First
message tells you that this version of product is already installed in
chosen dir. If you choose install then it shows messages about
particular files to be replaced. Problem is with the first message
"Component 1 exists on the system .....". Component 1 that means
NetBeans IDE - there is probably bug in IS. Sometime it shows correct
message - I'm goint to atache snapshot. This happens only when uer
installs already installed version to the same install dir.

>In the case you select any other nonempty dir containing eg just >one
file. Then it is installed into that dir.

Installer prompts user if there is something to replace, so don't
expect any prompt if you install to dir where is one file which has
nothing to do with NetBeans - this file isn't replace candidate so why
prompting.

>In the case of NB341 it ask for overwritting
>and don't install into selected dir except of _uninst2 dir :-/

_uninst2 dir is only one which wasn't there before. It is created by
installer itself if there already is _uninst dir.

>In the case of forte4j (orion) it completly install everything to
>that dir and asks just for replacint timerbeans.jar

My experience is different. At first it asks for replacing
timerbeans.jar and then continues with asking for each replace
candidate file - like runide.sh and so on.

From my point of view - this issue is fixed. I can open another one
related to "Component 1.." message but not with P1 priority.
Comment 8 Richard Gregor 2003-04-05 15:39:50 UTC
Created attachment 9718 [details]
snapshot with correct message
Comment 9 Richard Gregor 2003-04-05 15:44:44 UTC
This one is fixed. There is new issue 32653 .
Comment 10 dmladek 2003-04-07 17:58:13 UTC
I'm sorry I forgot to attach it :-((( I'm jumping from one bug to
another, and than such things're happening:-\
Comment 11 dmladek 2003-04-07 17:59:34 UTC
Created attachment 9747 [details]
promissed snapshot with bad question
Comment 12 dmladek 2003-04-07 20:04:47 UTC
>>In the case of forte4j (orion) it completly install everything to
>>that dir and asks just for replacint timerbeans.jar

>My experience is different. At first it asks for replacing
>timerbeans.jar and then continues with asking for each replace
>candidate file - like runide.sh and so on..

You're right Risa.
I choose replace all, so that it couldn't ask me more :-]


Thank for entering a bug for the question dialog
But I don't like still the way how installer interact with user about
installing into a non-empty dir.

Well, I'm going enter a new bug/enhancement? about it 'cause the exact
stuff related to this bug has been fixed (but no piece more:-\ )
So, for details about installing into non-empty dir see the issue #32695


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo